%{!?make_build:   %global make_build   make %{?_smp_mflags}}
%{!?make_install: %global make_install make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"}

Name: bcpp
Version: 20210108
Release: 0%{dist}.1sunshine
Summary: C(++) source beautifier
Source0: ftp://ftp.invisible-island.net/%{name}/%{name}-%{version}.tgz
URL: https://invisible-island.net/bcpp/bcpp.html
Group: Development/Languages
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gcc-c++
License: MIT

%description
bcpp indents C/C++ source programs, replacing tabs with spaces or the
reverse. Unlike indent, it does (by design) not attempt to wrap long
statements.

%prep
%setup -q

%build
%{configure}
%{make_build}

%check
make check

%install
%{make_install}

%clean
rm -rf %{buildroot}

%files
%{!?_licensedir:%global license %%doc}
%doc README VERSION CHANGES txtdocs/manual.txt txtdocs/hirachy.txt
%license COPYING
%{_bindir}/%{name}
%{_bindir}/cb++
%{_mandir}/man1/%{name}.*

%changelog
* Wed Aug 18 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 20210108-0.1sunshine
- update to 20210108

* Thu Sep 24 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 20200922-0.1sunshine
- initial RPM
